# MLFeatureType

The `MLFeatureType` class is an abstract base class providing information that fully describes the structure of an [`MLFeature`](/unity/api/mlfeature.md).

{% hint style="info" %}
Every [`MLFeature`](/unity/api/mlfeature.md) has a corresponding `MLFeatureType`.
{% endhint %}

## Inspecting the Name

```csharp
/// <summary>
/// Feature name.
/// </summary>
string name { get; }
```

Some feature types include a name. This is usually the case with feature types provided by [`MLModel`](/unity/api/mlmodel.md) instances. However, most feature types attached to features do not have a name.

## Inspecting the Data Type

```csharp
/// <summary>
/// Feature data type.
/// This will typically be a numeric type.
/// </summary>
Type dataType { get; }
```

This is the data type of each element within a given feature. This is usually a signed numeric type.

## Type Conversions

```csharp
/// <summary>
/// Check if feature type is non-null.
/// </summary>
static implicit operator bool (MLFeatureType type);
```

The feature type provides an implicit conversion to `bool`, indicating whether the feature type is non-`null`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.natml.ai/unity/api/mlfeaturetype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
